%define module_name DBIx-Poggy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(Devel/GlobalDestruction.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Guard.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Promises.pm) perl(Scalar/Util.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: async Pg with AnyEvent and Promises
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RUZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
"Async" postgres as much as the DBD::Pg manpage allows with the Promises manpage instead of callbacks.

You get DBI interface you used to that returns promises, connections pool, queries
queuing and support of transactions.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

